#ifndef FUNCDEFS_H
#define FUNCDEFS_H

#define _LB_SetSysTimeOut			        0		//(long newTimeout);
#define _LB_DriverVersion					1		//(void);
#define _LB_SensorCnt						2		//(void);
#define _LB_BlinkLED_SN						3		//(char* SN);
#define _LB_BlinkLED_Addr					4		//(long addr);
#define _LB_BlinkLED_Idx					5		//(long idx);
#define _LB_SensorList						6		//(struct SensorDescrption* SD, long cnt);
#define _LB_GetAddress_SN					7		//(char* SN);
#define _LB_GetAddress_Idx				    8		//(long idx);
#define _LB_SetAddress_SN					9		//(char* SN, long addr);
#define _LB_AddressConflictExists			10		//(void);
#define _LB_WillAddressConflict				11		//(long addr);
#define _LB_GetSerNo_Addr					12		//(long addr, char* SN);
#define _LB_ChangeAddress					13		//(long currentAddr, long newAddr);
#define _LB_GetModelNumber_SN				14		//(char* SN, enum MODEL_NUMBER* modelNumber);
#define _LB_GetModelNumber_Addr				15		//(long addr, enum MODEL_NUMBER* modelNumber);
#define _LB_IsSensorConnected_SN			16		//(char* SN);
#define _LB_IsSensorConnected_Addr			17		//(long addr);
#define _LB_SetAutoPulseEnabled				18		//(long addr, enum FEATURE_STATE st);
#define _LB_GetAutoPulseEnabled				19		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetCWReference					20		//(long addr, double relRef, enum PWR_UNITS units);
#define _LB_GetCWReference					21		//(long addr, double* relRef, enum PWR_UNITS* units);
#define _LB_SetCurrentState					22		//(long addr, struct SensorState state);
#define _LB_SetRegState						23		//(long addr, long regIdx, struct SensorState state);
#define _LB_GetCurrentState					24		//(long addr, struct SensorState* state);
#define _LB_GetRegState						25		//(long addr, long regIdx, struct SensorState* state);
#define _LB_SetDoubleSidedLimit				26		//(long addr, double lowerVal, double upperVal, enum PWR_UNITS units, enum DS_RULE passFail);
#define _LB_GetDoubleSidedLimit				27		//(long addr, double* lowerVal, double* upperVal, enum PWR_UNITS* units, enum DS_RULE* passFail);
#define _LB_SetDutyCycleEnabled				28		//(long addr, enum FEATURE_STATE st);
#define _LB_GetDutyCycleEnabled				29		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetDutyCyclePerCent				30		//(long addr, double val);
#define _LB_GetDutyCyclePerCent				31		//(long addr, double* val);
#define _LB_GetFirmwareVersion				32		//(long addr, char* buff, long buffLen);
#define _LB_GetIndex_SN					    33		//(char* SN);
#define _LB_GetIndex_Addr					34		//(long addr);
#define _LB_SetLimitEnabled					35		//(long addr, enum LIMIT_STYLE lmtStyle);
#define _LB_GetLimitEnabled					36		//(long addr, enum LIMIT_STYLE* lmtStyle);
#define _LB_SetMeasurementPowerUnits		37		//(long addr,enum PWR_UNITS units);
#define _LB_GetMeasurementPowerUnits		38		//(long addr,enum PWR_UNITS* units);
#define _LB_GetModelNumber_Idx			    39		//(long idx, enum MODEL_NUMBER* modelNumber);
#define _LB_SetOffsetEnabled				40		//(long addr, enum FEATURE_STATE st);
#define _LB_GetOffsetEnabled				41		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetPulseReference				42		//(long addr,double pulseRef, double PeakRef, double averageRef, double dutyCycleRef, enum PWR_UNITS units);
#define _LB_GetPulseReference				43		//(long addr, double* pulseRef, double* PeakRef, double* averageRef, double* dutyCycleRef, enum PWR_UNITS* units);
#define _LB_SetResponseEnabled				44		//(long addr, enum FEATURE_STATE st);
#define _LB_GetResponseEnabled				45		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetResponse						46		//(long addr, struct ResponsePoints* pts, long NumPts);
#define _LB_SetResponse_Flat				47		//(long addr, double* freq, double* amplitude, long NumPts);
#define _LB_GetResponse						48		//(long addr, struct ResponsePoints* pts, long* NumPts);
#define _LB_GetResponse_Flat				49		//(long addr, double* freq, double* amplitude, long* NumPts);
#define _LB_GetSerNo_Idx					50		//(long idx, char* SN);
#define _LB_SetSerialNumber					51		//(long idx, long PW, char* SN);
#define _LB_SetSingleSidedLimit				52		//(long addr, double val, enum PWR_UNITS units, enum SS_RULE passFail);
#define _LB_GetSingleSidedLimit				53		//(long addr, double* val, enum PWR_UNITS* units, enum SS_RULE* passFail);
#define _LB_InitializeSensor_Idx			54		//(long idx);
#define _LB_MeasureCW_PF					55		//(long addr, double* CW, enum PASS_FAIL_RESULT* PF);
#define _LB_MeasurePulse_PF					56		//(long addr, double* pulse, double* Peak, double* average, double* dutyCycle, enum PASS_FAIL_RESULT* PF);
#define _LB_ReadStateFromINI				57		//(long addr);
#define _LB_WriteStateToINI					58		//(long addr);
#define _LB_Recall							59		//(long addr, long regIdx);
#define _LB_Store							60		//(long addr, long regIdx);
#define _LB_ResetCurrentState				61		//(long addr);
#define _LB_ResetRegStates					62		//(long addr);
#define _LB_SetAddress_Idx				    63		//(long idx, long addr);
#define _LB_SetOffset						64		//(long addr, double val);
#define _LB_GetOffset						65		//(long addr, double* val);
#define _LB_SetCalDueDate					66		//(char* SN, long lngYear, long lngMonth, long lngDay);
#define _LB_GetCalDueDate					67		//(char* SN, long* year, long* month, long* day);
//#define _LB_SetModelNumber				-68		//(char* SN, long PW, enum MODEL_NUMBER modelNumber);
//#define _LB_SetCalOptExpDate				-69		//(char* SN, long PW, long lngYear, long lngMonth, long lngDay);
#define _LB_GetCalOptExpDate				70		//(char* SN, long* year, long* month, long* day);
//#define _LB_SetWtyOptExpDate				-71		//(char* SN, long PW, long lngYear, long lngMonth, long lngDay);
#define _LB_GetWtyOptExpDate				72		//(char* SN, long* year, long* month, long* day);
//#define _LB_SetConnectorOption			-73		//(char* SN, long PW, long optVal);
#define _LB_GetConnectorOption				74		//(char* SN, long* val);
//#define _LB_SetCalAndWtyOption			-75		//(char* SN, long PW, long optVal);
#define _LB_GetCalAndWtyOption				76		//(char* SN, long* val);
//#define _LB_SetRecorderOutOption			-77		//(char* SN, long PW, long optVal);
#define _LB_GetRecorderOutOption			78		//(char* SN, long* val);
//#define _LB_SetBestMatchOpt				-79		//(char* SN, long PW, long optVal);
#define _LB_GetBestMatchOpt				    80		//(char* SN, long* val);
//#define _LB_SetTriggerOpt					-81		//(char* SN, long PW, long optVal);
#define _LB_GetTriggerOpt					82		//(char* SN, long* val);
//#define _LB_SetFilterOpt					-83		//(char* SN, long PW, long optVal);
#define _LB_GetFilterOpt					84		//(char* SN, long* val);
#define _LB_InitializeSensor_SN				85		//(char* SN);
#define _LB_UninitializeSensor_SN			86		//(char* SN);
#define _LB_InitializeSensor_Addr			87		//(long addr);
#define _LB_GetFrequency					88		//(long addr, double* value);
#define _LB_SetFrequency					89		//(long addr, double value);
#define _LB_GetAverages						90		//(long addr, long* value);
#define _LB_SetAverages						91		//(long addr, long value);
#define _LB_GetPulseCriteria				92		//(long addr, double* value);
#define _LB_SetPulseCriteria				93		//(long addr, double value);
#define _LB_GetTTLTriggerInEnabled			94		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetTTLTriggerInEnabled			95		//(long addr, enum FEATURE_STATE st);
#define _LB_GetTTLTriggerInInverted			96		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetTTLTriggerInInverted			97		//(long addr, enum FEATURE_STATE st);
#define _LB_GetTTLTriggerInTimeOut			98		//(long addr, long* val);
#define _LB_SetTTLTriggerInTimeOut			99		//(long addr, long val);
#define _LB_GetTTLTriggerOutEnabled			100		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetTTLTriggerOutEnabled			101		//(long addr, enum FEATURE_STATE st);
#define _LB_GetTTLTriggerOutInverted		102		//(long addr, enum FEATURE_STATE *st);
#define _LB_SetTTLTriggerOutInverted		103		//(long addr, enum FEATURE_STATE st);
#define _LB_GetAntiAliasingEnabled			104		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetAntiAliasingEnabled			105		//(long addr, enum FEATURE_STATE st);
//#define _LB_GetRecorderOutEnabled			-106	//(long addr, enum FEATURE_STATE* st);
//#define _LB_SetRecorderOutEnabled			-107	//(long addr, enum FEATURE_STATE st);
//#define _LB_GetRecorderOutSetup			-108	//(long addr, double* val_0_V, double* val_1_V, enum PWR_UNITS* units);
//#define _LB_SetRecorderOutSetup			-109	//(long addr, double val_0_V, double val_1_V, enum PWR_UNITS units);
#define _LB_MeasureCW						110		//(long addr, double* CW);
#define _LB_MeasurePulse					111		//(long addr, double* pulse, double* Peak, double* average, double* dutyCycle);
#define _LB_ReInit_Addr						112		//(long addr);
//#define _LB_ReInit_Idx					-113	//(long idx);
#define _LB_GetExtendedAveragingEnabled		114		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetExtendedAveragingEnabled		115		//(long addr, enum FEATURE_STATE st);
#define _LB_GetExtendedAveraging			116		//(long addr, long* extAvg);
#define _LB_SetExtendedAveraging			117		//(long addr, long extAvg);
#define _LB_ResetExtendedAveraging			118		//(long addr);
#define _LB_GetMaxHoldEnabled				119		//(long addr, enum FEATURE_STATE* st);
#define _LB_SetMaxHoldEnabled				120		//(long addr, enum FEATURE_STATE st);
#define _LB_ResetMaxHold					121		//(long addr);
#define _LB_Get75OhmsEnabled				122		//(long addr, enum FEATURE_STATE* st);
#define _LB_Set75OhmsEnabled				123		//(long addr, enum FEATURE_STATE st);
//#define _LB_IsDeviceInUse_Idx				-124	//(long idx);
#define _LB_IsDeviceInUse_Addr				125		//(long addr);
#define _LB_IsDeviceInUse_SN				126		//(char* SN);
#define _LB_SaveCurrStateTo					127		//(long addr, char* stateName);
#define _LB_RestoreCurrStateFrom			128		//(long addr, char* stateName);
#define _LB_GetNamedStateCount				129		//(long addr);
#define _LB_GetNamedStateNames				130		//(long addr, char* names, long *cnt);
#define _LB_DeleteNamedState				131		//(long addr, char* name);
#define _LB_MeasureBurst_DBM				132		//(long addr, long delayUSEC, long measTimeUSEC, long trgInt, double* pk, double *avg, double *min);
#define _LB_CloseRestartSocketServerSocket  133     // ();  // Closes and restarts the socket 
#define _LB_CloseSocketServerApp            134     // ();  // closes the socket and then ends application

#endif